Search Dashboard

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securable
API call form
Examples
List of examples
  • Get dashboard by ID
  • Get dashboard by name
  • Get dashboard by tag
  • Get dashboard by tag
  • Get dashboard by tags
  • Get dashboard with Tags
  • Get published dashboards
  • Get dashboard and owner info
  • Get dashboard thumbnail URL
  • getAccessibleDashboards via API
  • Get publicly shared dashboards
  • Get dashboard with datasets
  • Get all dashboard variants
  • Get all dashboard variants of a specific dashboard
  • Get favorited variant of a specific dashboard
Description

Get dashboard by ID.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "subtype": "api",
      "rows": 0,
      "featured": false,
      "modified_at": "2024-03-28T09:24:17.444Z",
      "cache": 0,
      "storage": "clickhouse",
      "uses_clickhouse_experimental": false,
      "meta_sync_interval": 1,
      "meta_sync_inherit": true,
      "meta_sync_enabled": true,
      "name": {
        "en": "Test dashboard"
      },
      "description": {
        "en": "This is a test dashboard"
      },
      "custom_metadata": {
        "owner": "analytics",
        "nested": {
          "level": "L1"
        }
      },
      "type": "dashboard",
      "id": "aafca78a-0f21-41ae-862e-7e46a511c800",
      "updated_at": "2024-03-28T09:24:17.570Z",
      "created_at": "2024-03-28T09:24:17.450Z",
      "subtitle": null,
      "contents": null,
      "css": null,
      "source_dataset": null,
      "source_sheet": null,
      "source_query": null,
      "transformation": null,
      "is_variant": false,
      "migrated_rows": null,
      "last_metadata_sync_at": null,
      "last_metadata_sync_attempt_at": "2024-03-28T09:24:17.488Z",
      "acceleration_id": null,
      "account_id": null,
      "template_id": null,
      "original_id": null,
      "modifier_id": "34b22f36-4904-497f-8acf-b0ba1d7e83cb",
      "owner_id": "34b22f36-4904-497f-8acf-b0ba1d7e83cb",
      "source_template_id": null
    }
  ]
}